/*
 * Copyright (c) 2022, Valaphee.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.valaphee.cran.path

/**
 * @author Kevin Ludwig
 */
open class DataPathException : Exception {
    constructor() : super()

    constructor(message: String) : super(message)

    constructor(message: String, cause: Throwable?) : super(message, cause)

    constructor(cause: Throwable?) : super(cause)

    companion object {
        val AlreadySet = DataPathException("Data path has multiple inputs, one input is allowed.")
        val Undefined = DataPathException("Data path is undefined, one input is required.")
    }
}
